import { get,post } from "./index";

export const reportExternalInterface = {
  /**
   * 文档分类列表
   * @param {*} params 
   * @returns 
   */
  getClasssify:params=>{
    return get('/document_manage/document/classify/list',params)
  },

  /**
   * 
   * @param {*} params 
   * @returns 
   */
  getPermission: params => {
    return get('/document_manage/document/variety/list',params)
  },

  /**
   * 文档报告列表 
   * @param {*} params 
   * DocumentType  ChartPermissionIdList ClassifyIdList Keyword OrderField OrderType PageSize CurrentIndex
   * @returns 
   */
  getDocList: params => {
    return get('/document_manage/document/report/list',params)
  },

  /**
   * 睿思报告列表
   * @param {*} params 
   * @returns 
   */
  getRiseReportList: params => {
    return get('/document_manage/document/rui/si/report/list',params)
  },

  /**
   * 睿思报告详情
   * @param {*} params 
   * @returns 
   */
  getRiseDetail: params => {
    return get('/document_manage/document/rui/si/detail',params)
  },

  /**
   * 文档报告详情
   * @param {*} params 
   * @returns 
   */
  getDocDetail: params => {
    return get('/document_manage/document/detail',params)
  },

  /**
   * 收藏分类 ClassifyId
   * @param {*} params 
   * @returns 
   */
  collectClassify: params => {
    return post('/document_manage/document/collect/classify',params)
  },

  /**
   * 新建文档报告
   * @param {*} params 
   * Source Title Abstract ClassifyId ClassifyName Content AttachmentList
   * @returns 
   */
  addReport: params => {
    return post('/document_manage/document/save',params)
  },

  /**
   * 编辑报告
   * @param {*} params 
   * OutsideReportId Source Title Abstract ClassifyId ClassifyName Content AttachmentList
   * @returns 
   */
  editReport: params => {
    return post('/document_manage/document/update',params)
  },
  
  /**
   * 删除报告
   * @param {*} params  OutsideReportId
   * @returns 
   */
  delReport: params => {
    return post('/document_manage/document/delete',params)
  }

}